Package be.fgov.ehealth.ehbox.consultation.protocol.v3

# Class OoO

java.lang.Object
be.fgov.ehealth.ehbox.consultation.protocol.v3.OoO

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class OoO extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="OoOId" type="{urn:be:fgov:ehealth:ehbox:core:v3}OoOIdType"/>
             <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="Substitute" type="{urn:be:fgov:ehealth:ehbox:core:v3}BoxIdType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OoO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `String`
  `getOoOId()`
  Gets the value of the ooOId property.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `List<BoxIdType>`
  `getSubstitutes()`
  Recipients Gets the value of the substitutes property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setOoOId(String value)`
  Sets the value of the ooOId property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OoO

    public OoO()

- ## Method Details

  - ### getOoOId

    public String getOoOId()
    Gets the value of the ooOId property.
    Returns:
      possible object is `String`

  - ### setOoOId

    public void setOoOId(String value)
    Sets the value of the ooOId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSubstitutes

    public List<BoxIdType> getSubstitutes()
    Recipients Gets the value of the substitutes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the substitutes property.

    For example, to add a new item, do as follows:

         getSubstitutes().add(newItem);

    Objects of the following type(s) are allowed in the list `BoxIdType`

    Returns:
      The value of the substitutes property.